Skip to main content
DELETE
/
api
/
v1
/
secrets
/
{vault_id}
Revoke
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.PaperSecret.Revoke(ctx, operations.C1APISecretsV1PaperSecretServiceRevokeRequest{
        VaultID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.PaperSecretServiceRevokeResponse != nil {
        // handle response
    }
}
{
  "secret": {
    "allowedEmails": [
      "<string>"
    ],
    "allowedUserIds": [
      "<string>"
    ],
    "contentDeleted": true,
    "contentExpiresAt": "2023-11-07T05:31:56Z",
    "contentReady": true,
    "contentType": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "creatorUserId": "<string>",
    "currentViews": 123,
    "deletedAt": "2023-11-07T05:31:56Z",
    "displayName": "<string>",
    "fileSize": "<string>",
    "filename": "<string>",
    "inputFormat": "SECRET_INPUT_FORMAT_UNSPECIFIED",
    "maxViews": 123,
    "secretType": "SECRET_TYPE_UNSPECIFIED",
    "shareCode": "<string>",
    "shareUrl": "<string>",
    "sharingMode": "PAPER_VAULT_SHARING_MODE_UNSPECIFIED",
    "status": "SECRET_STATUS_UNSPECIFIED",
    "updatedAt": "2023-11-07T05:31:56Z",
    "vaultId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

vault_id
string
required

The vaultId field.

Body

application/json

The PaperSecretServiceRevokeRequest message.

Response

200 - application/json

Successful response

The PaperSecretServiceRevokeResponse message.

secret
Paper Secret · object

PaperSecret is the API view of a secret (combines Vault + PaperVault fields). The vault_id is the primary identifier (Vault.id).